summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Luis Henrique <lmello.009@gmail.com>2010-04-19 18:36:24 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-15 10:38:27 +0200
commitdf595e4ec408d8355cc5126852aa5fbc8223475f (patch)
tree3d2a14c66ea80340e48b596c4755a8b64d16f61a
parentb38554df9c68c30d5c41d7bfa6542b36df605e4d (diff)
downloadslackbuilds-df595e4ec408d8355cc5126852aa5fbc8223475f.tar.gz
slackbuilds-df595e4ec408d8355cc5126852aa5fbc8223475f.tar.xz
development/hexedit: Added (Simple hex editor)
-rw-r--r--development/hexedit/README3
-rw-r--r--development/hexedit/hexedit.SlackBuild78
-rw-r--r--development/hexedit/hexedit.info10
-rw-r--r--development/hexedit/slack-desc19
4 files changed, 110 insertions, 0 deletions
diff --git a/development/hexedit/README b/development/hexedit/README
new file mode 100644
index 0000000000..574bd199c7
--- /dev/null
+++ b/development/hexedit/README
@@ -0,0 +1,3 @@
+hexedit shows a file both in ASCII and in hexadecimal. The file can
+be a device as the file is read a piece at a time. You can modify the
+file and search through it.
diff --git a/development/hexedit/hexedit.SlackBuild b/development/hexedit/hexedit.SlackBuild
new file mode 100644
index 0000000000..6dc6e31268
--- /dev/null
+++ b/development/hexedit/hexedit.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for hexedit
+
+# Written by Luís Henrique <lmello.009@gmail.com>
+
+PRGNAM=hexedit
+VERSION=${VERSION:-1.2.12}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.src.tgz
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+
+# Apparently, 'make install DESTDIR=$PKG' doesn't work
+/usr/bin/ginstall -d -m 0755 $PKG/usr/bin
+/usr/bin/ginstall -m 0755 hexedit $PKG/usr/bin
+/usr/bin/ginstall -d -m 0755 $PKG/usr/man/man1
+/usr/bin/ginstall -m 0644 hexedit.1 $PKG/usr/man/man1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+DOCS="COPYING Changes TODO"
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/hexedit/hexedit.info b/development/hexedit/hexedit.info
new file mode 100644
index 0000000000..58a811e6d8
--- /dev/null
+++ b/development/hexedit/hexedit.info
@@ -0,0 +1,10 @@
+PRGNAM="hexedit"
+VERSION="1.2.12"
+HOMEPAGE="http://prigaux.chez.com/hexedit.html"
+DOWNLOAD_x86_64=""
+DOWNLOAD="http://rigaux.org/hexedit-1.2.12.src.tgz"
+MD5SUM="0d2f48610006278cd93359fea9a06d5c"
+MD5SUM_x86_64=""
+MAINTAINER="Luis Henrique"
+EMAIL="lmello.009@gmail.com"
+APPROVED="dsomero"
diff --git a/development/hexedit/slack-desc b/development/hexedit/slack-desc
new file mode 100644
index 0000000000..7c9865f65f
--- /dev/null
+++ b/development/hexedit/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+hexedit: hexedit (Simple hex editor)
+hexedit:
+hexedit: hexedit shows a file both in ASCII and in hexadecimal. The file
+hexedit: can be a device as the file is read a piece at a time. You can
+hexedit: modify the file and search through it.
+hexedit:
+hexedit: Homepage: http://prigaux.chez.com/hexedit.html
+hexedit:
+hexedit:
+hexedit:
+hexedit: